player_actarray_multi_speed_cmd Struct Reference

Command: Multiple Joint speed control (PLAYER_ACTARRAY_CMD_MULTI_SPEED) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | speeds_count
| The number of actuators in the array. More...
float * | speeds
| The speed to move with. More...

## Detailed Description

Command: Multiple Joint speed control (PLAYER_ACTARRAY_CMD_MULTI_SPEED)

Tells all joints/actuators to attempt to move with the given velocities.

## Member Data Documentation

float* player_actarray_multi_speed_cmd::speeds

The speed to move with.

uint32_t player_actarray_multi_speed_cmd::speeds_count

The number of actuators in the array.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45